package com.candidjava.hibernate;

import java.util.List;

import org.hibernate.HibernateException;
import org.hibernate.Session;
import org.hibernate.SessionFactory;
import org.hibernate.Transaction;
import org.hibernate.Filter;
import org.hibernate.cfg.Configuration;

public class StudentDao 
{
	private static SessionFactory sessionFactory;

	private Session getSession() 
	{
		Session s = null;
		try {
			sessionFactory = new Configuration().configure()
					.buildSessionFactory();
			s = sessionFactory.openSession();
		} 
		catch (HibernateException e) 
		{
			System.out.println(e.getMessage());
		}
		return s;
	}

	public void insert(Student student) 
	{
		try {
			Session s = getSession();// getting sessionImpl reference
			Transaction tx = s.beginTransaction();
			s.save(student);
			tx.commit();
		} 
		catch (HibernateException e) 
		{
			System.out.println(e.getMessage());
		}
	}

	@SuppressWarnings("unchecked")
	public List<Student> getStudentfilter(String state) 
	{
		List<Student> list = null;
		try 
		{
			Session session = getSession();// getting sessionImpl reference

			Filter filter = session.enableFilter("statusFilter");
			filter.setParameter("state", state);
			list = (List<Student>) session.createCriteria(Student.class).list();

		} 
		catch (HibernateException e) 
		{
			System.out.println(e.getMessage());
		}
		return list;

	}

}